rte_table_lpm_ipv6_params(3)

NAME
rte_table_lpm_ipv6_params

SYNOPSIS

#include <rte_table_lpm_ipv6.h>

  Data Fields

const char * name
uint32_t n_rules
uint32_t entry_unique_size
uint32_t offset

Detailed Description

LPM table parameters

Definition at line 54 of file rte_table_lpm_ipv6.h.

Field Documentation

  const char* name
Table name

Definition at line 56 of file rte_table_lpm_ipv6.h.

  uint32_t n_rules
Maximum number of LPM rules (i.e. IP routes)

Definition at line 59 of file rte_table_lpm_ipv6.h.

  uint32_t entry_unique_size
Number of bytes at the start of the table entry that uniquely identify the entry. Cannot be bigger than table entry size.

Definition at line 65 of file rte_table_lpm_ipv6.h.

  uint32_t offset
Byte offset within input packet meta-data where lookup key (i.e. the destination IP address) is located.

Definition at line 69 of file rte_table_lpm_ipv6.h.

Author

Generated automatically by Doxygen for DPDK from the source code.